Check the new version here

Popular channels

Un bug mas peligroso que Heartbleed

El ingeniero Stéphane Chazelas ha descubierto una importante vulnerabilidad en el shell GNU Bash que permite ejecutar código de forma remota. Este programa es el intérprete de comandos por defecto en múltiples distribuciones de Linux y en otros sistemas Unix, incluyendo a OS X de Apple

El investigador de seguridad Robert Graham ha asegurado que el bug es una "amenaza tan grande como Heartbleed" debido a la extensión, antigüedad y características del problema. De forma similar a la vulnerabilidad de OpenSSL, restaurar la seguridad de Bash requiere parchear una gran cantidad de aparatos, entre los que se incluyen dispositivos IoT (Internet of Things) como videocámaras.

"Un enorme porcentaje del software interactúa con el shell de alguna forma", escribe Graham en su blog. "Por lo tanto, nunca seremos capaces de catalogar todo el software que hay por ahí vulnerable al bug de Bash. […] El número de sistemas que se deben parchear, y que no lo harán, es mucho más grande que con Heartbleed".

Por el momento, las populares distros Red Hat, Fedora, Ubuntu y Debian ya han publicado sendos parches para evitar el llamado "Bug Bash" o "Shellshock". Mientras tanto, Apple todavía no ha afrontado la vulnerabilidad en OS X, aunque ha lanzado recientemente una actualización para las "herramientas de línea de comandos".
0
0
0
0No comments yet